* {
    padding: 0;
    margin: 0;
}

body {
    padding: 0;
    margin: 0;
    font-family: sans-serif;
}

#header {
    width: 100%;
    height: 100vh;
    background: linear-gradient( to right, rgba(0, 0, 0, 0.6), rgba(0, 0, 0.5, 0.6)), url('homepage.jpg');
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
}

.user-box {
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.user-box img {
    border-radius: 50%;
    width: 200px;
    height: 200px;
    border: solid 1.5px #411f1f;
    box-shadow: 0 0 20px 0 white;
}

.user-box h1 {
    color: #fff;
    font-weight: bold;
    margin: 10px;
}

.user-box p {
    color: #fff;
}

.scroll-btn {
    bottom: 30px;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    border: solid 1px white;
    padding: 10px 10px 20px;
    border-radius: 30px;
}

.scroll-bar span {
    border: solid 2px white;
    font-size: 10px;
    border-radius: 30px;
}

.scroll-btn {
    animation: mover 1s infinite;
}

@keyframes mover {
    0% {
        transform: translateX(0px)
    }
    100% {
        transform: translateY(10px)
    }
}

.About {
    margin-top: 30px;
    margin-bottom: -130px;
}

.profile-img {
    width: 450px;
    height: 600px;
}

.details {
    margin-top: 68px;
}

.nav-bar {
    top: 0;
    position: sticky;
    z-index: 2;
}

.navbar {
    background-color: #000;
}

.nav-bar .fa-bars {
    font-size: 35px;
    color: white;
}

.navbar-toggler {
    outline: none;
}

.navbar-brand {
    color: white;
    font-size: 10px;
}

.navbar-nav {
    float: right;
    text-align: right;
}

.nav-link {
    color: white;
}

.skills-bar {
    text-align: left;
    margin-top: 30px;
}

.skills-bar p {
    margin-bottom: 10px;
    font-weight: bolder;
    text-align: left;
}

.progress {
    border-radius: 16px;
    margin-bottom: 10px;
}

.progress-bar {
    border-radius: 16px;
    background: #000 !important;
}


/* Resume */

.resume {
    margin-top: -50px;
    margin-bottom: 30px;
    background-color: #f9f9f9;
}

.resume h3 {
    margin-top: 20px;
    margin-bottom: 30px;
}

.timeline {
    list-style-type: none;
    position: relative;
}

.timeline::before {
    content: '';
    background: #555;
    display: inline-block;
    position: absolute;
    left: 30px;
    width: 2px;
    height: 180px;
    z-index: 1;
}

.timeline li {
    margin-top: 20px;
    margin-bottom: 20px;
    margin-left: 50px;
    background: #fff;
}

.timeline h4 {
    background-color: #000;
    padding: 5px 5px 0 20px;
    color: white;
    font-size: 15px;
}

.timeline li h4 span {
    font-weight: bold;
    color: #ccc;
}

.timeline li:before {
    content: "";
    background: #fff;
    display: inline-block;
    position: absolute;
    border-radius: 50%;
    border: 3px solid #000;
    left: 20px;
    width: 20px;
    height: 20px;
    z-index: 1;
}


/* Services */

.project {
    background: #f9f9f9;
    padding: 1em 0;
    margin: 20px 0;
}

.project:hover {
    background-color: #0005;
    border-top-right-radius: 50px;
    border-bottom-left-radius: 50px;
    color: white;
    transition: 1s;
}

.service {
    padding-top: 50px;
    padding-bottom: 50px;
}

.service img {
    width: 80px;
    height: 80px;
    position: relative;
    left: 45%;
    padding: 2px;
    margin: 20px;
}

.service img:hover {
    width: 100px;
    height: 100px;
    position: relative;
    left: 44%;
    right: 20%;
}

.service-box {
    background-color: #f9f9f9;
    padding: 10px;
    margin-top: 20px;
    border-top-right-radius: 50px;
    border-bottom-left-radius: 50px;
}

.service-box .fas {
    font-size: 30px;
    margin: 0 20px;
    padding: 10px;
}

.service-box span {
    font-weight: bold;
    margin-left: 10px;
    padding: 10px;
}

.service-box p {
    font-size: 15px;
    margin-top: 20px;
    color: #777;
}

.service-box:hover {
    background-color: #0009;
    padding: 10px;
    margin-top: 20px;
    transition: 1s;
}

.service-box:hover,
.service-box:hover p {
    color: #fff;
}

.contact {
    padding-top: 50px;
    margin-top: 40px;
    background: linear-gradient( to right, rgba(0, 0, 0, 0.6), rgba(0, 0, 0.5, 0.6)), url('contact.jpeg');
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
    color: #fff;
}

.contact .row {
    padding: 30px 0;
    font-size: 20px;
}

.btn-1 .btn {
    margin: 20px;
}

.contact .col-md-4 .fas,
.fab {
    padding: 10px;
    font-size: 30px;
}

.fab {
    font-size: 20px;
}

.contact .btn {
    padding: 10px 25px 10px 25px;
    margin: 5px;
    border-radius: 30px;
    border: solid 2px #fff;
}

.footer {
    margin-top: 50px;
    height: 40px;
    background: #000;
    padding-top: 10px;
    color: #fff;
}

.footer .fas {
    padding: 5px;
}

.social-icons {
    top: 50%;
    transform: translateY(-50%);
    position: sticky;
    z-index: 1;
    width: 80px;
}

.social-icons ul {
    padding: 0;
}

.social-icons ul li {
    height: 50px;
    width: 50px;
    list-style-type: none;
    padding-left: 1px;
    padding-top: 6px;
    margin-top: 5px;
    margin-bottom: 7px;
    color: #fff;
    background: #777;
}

.social-icons ul li:hover {
    padding-left: 30px;
    width: 80px;
    transition: 1s;
}
